[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: PostgreSQL transition ahead


Andreas Metzler [2005-06-07 20:03 +0200]:
> Martin Pitt <mpitt@debian.org> wrote:
> [...]
> > I will upload the new packages to unstable very soon.  This has a
> > reasonably big impact to all packages that depend/build-depend on
> > PostgreSQL since the package structure changed a bit:
> > (1) postgresql-dev was split into libpq-dev (for client apps like
> >    postfix or pygresql) and postgresql-server-dev-<version> for server
> >    extensions (like postgresql-plruby and postgresql-ocaml).
> [...]
> > (1) makes all packages FTBFS that build-depend on postgresql-dev
> [...]
> Hello,
> If this applies to any package Build-Depending on postgresql-dev (and
> actually linking against the library) you've missed at least one
> package - exim4. So if I am right you perhaps should doublecheck your
> list for completeness. Thanks.

I already wrote to exim4-daemon-heavy@packages.debian.org. Besides,
there is already a patch for exim4:


BTW, I generated the list based on "apt-cache rdepends libpq3", this
should really catch all packages that deal with postgresql and need to
be changed.


Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org

Attachment: signature.asc
Description: Digital signature

Reply to: